
/*
 * Copyright 2021 - 2022 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.sbm.jee.ejb.api;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.springframework.sbm.jee.ejb.api package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _EjbJar_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "ejb-jar");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.springframework.sbm.jee.ejb.api
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EjbJarType }
     * 
     */
    public EjbJarType createEjbJarType() {
        return new EjbJarType();
    }

    /**
     * Create an instance of {@link ServiceRefType }
     * 
     */
    public ServiceRefType createServiceRefType() {
        return new ServiceRefType();
    }

    /**
     * Create an instance of {@link PortComponentRefType }
     * 
     */
    public PortComponentRefType createPortComponentRefType() {
        return new PortComponentRefType();
    }

    /**
     * Create an instance of {@link HandlerChainsType }
     * 
     */
    public HandlerChainsType createHandlerChainsType() {
        return new HandlerChainsType();
    }

    /**
     * Create an instance of {@link HandlerChainType }
     * 
     */
    public HandlerChainType createHandlerChainType() {
        return new HandlerChainType();
    }

    /**
     * Create an instance of {@link AddressingType }
     * 
     */
    public AddressingType createAddressingType() {
        return new AddressingType();
    }

    /**
     * Create an instance of {@link AddressingResponsesType }
     * 
     */
    public AddressingResponsesType createAddressingResponsesType() {
        return new AddressingResponsesType();
    }

    /**
     * Create an instance of {@link RespectBindingType }
     * 
     */
    public RespectBindingType createRespectBindingType() {
        return new RespectBindingType();
    }

    /**
     * Create an instance of {@link HandlerType }
     * 
     */
    public HandlerType createHandlerType() {
        return new HandlerType();
    }

    /**
     * Create an instance of {@link AdministeredObjectType }
     * 
     */
    public AdministeredObjectType createAdministeredObjectType() {
        return new AdministeredObjectType();
    }

    /**
     * Create an instance of {@link ConnectionFactoryResourceType }
     * 
     */
    public ConnectionFactoryResourceType createConnectionFactoryResourceType() {
        return new ConnectionFactoryResourceType();
    }

    /**
     * Create an instance of {@link DataSourceType }
     * 
     */
    public DataSourceType createDataSourceType() {
        return new DataSourceType();
    }

    /**
     * Create an instance of {@link DescriptionType }
     * 
     */
    public DescriptionType createDescriptionType() {
        return new DescriptionType();
    }

    /**
     * Create an instance of {@link DisplayNameType }
     * 
     */
    public DisplayNameType createDisplayNameType() {
        return new DisplayNameType();
    }

    /**
     * Create an instance of {@link EjbLinkType }
     * 
     */
    public EjbLinkType createEjbLinkType() {
        return new EjbLinkType();
    }

    /**
     * Create an instance of {@link EjbLocalRefType }
     * 
     */
    public EjbLocalRefType createEjbLocalRefType() {
        return new EjbLocalRefType();
    }

    /**
     * Create an instance of {@link EjbRefNameType }
     * 
     */
    public EjbRefNameType createEjbRefNameType() {
        return new EjbRefNameType();
    }

    /**
     * Create an instance of {@link EjbRefType }
     * 
     */
    public EjbRefType createEjbRefType() {
        return new EjbRefType();
    }

    /**
     * Create an instance of {@link EjbRefTypeType }
     * 
     */
    public EjbRefTypeType createEjbRefTypeType() {
        return new EjbRefTypeType();
    }

    /**
     * Create an instance of {@link EmptyType }
     * 
     */
    public EmptyType createEmptyType() {
        return new EmptyType();
    }

    /**
     * Create an instance of {@link EnvEntryType }
     * 
     */
    public EnvEntryType createEnvEntryType() {
        return new EnvEntryType();
    }

    /**
     * Create an instance of {@link EnvEntryTypeValuesType }
     * 
     */
    public EnvEntryTypeValuesType createEnvEntryTypeValuesType() {
        return new EnvEntryTypeValuesType();
    }

    /**
     * Create an instance of {@link FullyQualifiedClassType }
     * 
     */
    public FullyQualifiedClassType createFullyQualifiedClassType() {
        return new FullyQualifiedClassType();
    }

    /**
     * Create an instance of {@link GenericBooleanType }
     * 
     */
    public GenericBooleanType createGenericBooleanType() {
        return new GenericBooleanType();
    }

    /**
     * Create an instance of {@link IconType }
     * 
     */
    public IconType createIconType() {
        return new IconType();
    }

    /**
     * Create an instance of {@link InjectionTargetType }
     * 
     */
    public InjectionTargetType createInjectionTargetType() {
        return new InjectionTargetType();
    }

    /**
     * Create an instance of {@link JavaIdentifierType }
     * 
     */
    public JavaIdentifierType createJavaIdentifierType() {
        return new JavaIdentifierType();
    }

    /**
     * Create an instance of {@link JavaTypeType }
     * 
     */
    public JavaTypeType createJavaTypeType() {
        return new JavaTypeType();
    }

    /**
     * Create an instance of {@link JdbcUrlType }
     * 
     */
    public JdbcUrlType createJdbcUrlType() {
        return new JdbcUrlType();
    }

    /**
     * Create an instance of {@link JmsConnectionFactoryType }
     * 
     */
    public JmsConnectionFactoryType createJmsConnectionFactoryType() {
        return new JmsConnectionFactoryType();
    }

    /**
     * Create an instance of {@link JmsDestinationType }
     * 
     */
    public JmsDestinationType createJmsDestinationType() {
        return new JmsDestinationType();
    }

    /**
     * Create an instance of {@link JndiNameType }
     * 
     */
    public JndiNameType createJndiNameType() {
        return new JndiNameType();
    }

    /**
     * Create an instance of {@link HomeType }
     * 
     */
    public HomeType createHomeType() {
        return new HomeType();
    }

    /**
     * Create an instance of {@link LifecycleCallbackType }
     * 
     */
    public LifecycleCallbackType createLifecycleCallbackType() {
        return new LifecycleCallbackType();
    }

    /**
     * Create an instance of {@link ListenerType }
     * 
     */
    public ListenerType createListenerType() {
        return new ListenerType();
    }

    /**
     * Create an instance of {@link LocalType }
     * 
     */
    public LocalType createLocalType() {
        return new LocalType();
    }

    /**
     * Create an instance of {@link LocalHomeType }
     * 
     */
    public LocalHomeType createLocalHomeType() {
        return new LocalHomeType();
    }

    /**
     * Create an instance of {@link MailSessionType }
     * 
     */
    public MailSessionType createMailSessionType() {
        return new MailSessionType();
    }

    /**
     * Create an instance of {@link ParamValueType }
     * 
     */
    public ParamValueType createParamValueType() {
        return new ParamValueType();
    }

    /**
     * Create an instance of {@link PathType }
     * 
     */
    public PathType createPathType() {
        return new PathType();
    }

    /**
     * Create an instance of {@link PersistenceContextRefType }
     * 
     */
    public PersistenceContextRefType createPersistenceContextRefType() {
        return new PersistenceContextRefType();
    }

    /**
     * Create an instance of {@link PersistenceContextSynchronizationType }
     * 
     */
    public PersistenceContextSynchronizationType createPersistenceContextSynchronizationType() {
        return new PersistenceContextSynchronizationType();
    }

    /**
     * Create an instance of {@link PersistenceContextTypeType }
     * 
     */
    public PersistenceContextTypeType createPersistenceContextTypeType() {
        return new PersistenceContextTypeType();
    }

    /**
     * Create an instance of {@link PropertyType }
     * 
     */
    public PropertyType createPropertyType() {
        return new PropertyType();
    }

    /**
     * Create an instance of {@link PersistenceUnitRefType }
     * 
     */
    public PersistenceUnitRefType createPersistenceUnitRefType() {
        return new PersistenceUnitRefType();
    }

    /**
     * Create an instance of {@link RemoteType }
     * 
     */
    public RemoteType createRemoteType() {
        return new RemoteType();
    }

    /**
     * Create an instance of {@link ResourceEnvRefType }
     * 
     */
    public ResourceEnvRefType createResourceEnvRefType() {
        return new ResourceEnvRefType();
    }

    /**
     * Create an instance of {@link ResourceRefType }
     * 
     */
    public ResourceRefType createResourceRefType() {
        return new ResourceRefType();
    }

    /**
     * Create an instance of {@link ResAuthType }
     * 
     */
    public ResAuthType createResAuthType() {
        return new ResAuthType();
    }

    /**
     * Create an instance of {@link ResSharingScopeType }
     * 
     */
    public ResSharingScopeType createResSharingScopeType() {
        return new ResSharingScopeType();
    }

    /**
     * Create an instance of {@link RunAsType }
     * 
     */
    public RunAsType createRunAsType() {
        return new RunAsType();
    }

    /**
     * Create an instance of {@link RoleNameType }
     * 
     */
    public RoleNameType createRoleNameType() {
        return new RoleNameType();
    }

    /**
     * Create an instance of {@link SecurityRoleType }
     * 
     */
    public SecurityRoleType createSecurityRoleType() {
        return new SecurityRoleType();
    }

    /**
     * Create an instance of {@link SecurityRoleRefType }
     * 
     */
    public SecurityRoleRefType createSecurityRoleRefType() {
        return new SecurityRoleRefType();
    }

    /**
     * Create an instance of {@link XsdQNameType }
     * 
     */
    public XsdQNameType createXsdQNameType() {
        return new XsdQNameType();
    }

    /**
     * Create an instance of {@link XsdBooleanType }
     * 
     */
    public XsdBooleanType createXsdBooleanType() {
        return new XsdBooleanType();
    }

    /**
     * Create an instance of {@link XsdNMTOKENType }
     * 
     */
    public XsdNMTOKENType createXsdNMTOKENType() {
        return new XsdNMTOKENType();
    }

    /**
     * Create an instance of {@link XsdAnyURIType }
     * 
     */
    public XsdAnyURIType createXsdAnyURIType() {
        return new XsdAnyURIType();
    }

    /**
     * Create an instance of {@link XsdIntegerType }
     * 
     */
    public XsdIntegerType createXsdIntegerType() {
        return new XsdIntegerType();
    }

    /**
     * Create an instance of {@link XsdPositiveIntegerType }
     * 
     */
    public XsdPositiveIntegerType createXsdPositiveIntegerType() {
        return new XsdPositiveIntegerType();
    }

    /**
     * Create an instance of {@link XsdNonNegativeIntegerType }
     * 
     */
    public XsdNonNegativeIntegerType createXsdNonNegativeIntegerType() {
        return new XsdNonNegativeIntegerType();
    }

    /**
     * Create an instance of {@link XsdStringType }
     * 
     */
    public XsdStringType createXsdStringType() {
        return new XsdStringType();
    }

    /**
     * Create an instance of {@link String }
     * 
     */
    public String createString() {
        return new String();
    }

    /**
     * Create an instance of {@link TrueFalseType }
     * 
     */
    public TrueFalseType createTrueFalseType() {
        return new TrueFalseType();
    }

    /**
     * Create an instance of {@link UrlPatternType }
     * 
     */
    public UrlPatternType createUrlPatternType() {
        return new UrlPatternType();
    }

    /**
     * Create an instance of {@link MessageDestinationType }
     * 
     */
    public MessageDestinationType createMessageDestinationType() {
        return new MessageDestinationType();
    }

    /**
     * Create an instance of {@link MessageDestinationRefType }
     * 
     */
    public MessageDestinationRefType createMessageDestinationRefType() {
        return new MessageDestinationRefType();
    }

    /**
     * Create an instance of {@link MessageDestinationUsageType }
     * 
     */
    public MessageDestinationUsageType createMessageDestinationUsageType() {
        return new MessageDestinationUsageType();
    }

    /**
     * Create an instance of {@link MessageDestinationTypeType }
     * 
     */
    public MessageDestinationTypeType createMessageDestinationTypeType() {
        return new MessageDestinationTypeType();
    }

    /**
     * Create an instance of {@link MessageDestinationLinkType }
     * 
     */
    public MessageDestinationLinkType createMessageDestinationLinkType() {
        return new MessageDestinationLinkType();
    }

    /**
     * Create an instance of {@link TransactionSupportType }
     * 
     */
    public TransactionSupportType createTransactionSupportType() {
        return new TransactionSupportType();
    }

    /**
     * Create an instance of {@link AccessTimeoutType }
     * 
     */
    public AccessTimeoutType createAccessTimeoutType() {
        return new AccessTimeoutType();
    }

    /**
     * Create an instance of {@link AsyncMethodType }
     * 
     */
    public AsyncMethodType createAsyncMethodType() {
        return new AsyncMethodType();
    }

    /**
     * Create an instance of {@link ActivationConfigType }
     * 
     */
    public ActivationConfigType createActivationConfigType() {
        return new ActivationConfigType();
    }

    /**
     * Create an instance of {@link ActivationConfigPropertyType }
     * 
     */
    public ActivationConfigPropertyType createActivationConfigPropertyType() {
        return new ActivationConfigPropertyType();
    }

    /**
     * Create an instance of {@link AroundInvokeType }
     * 
     */
    public AroundInvokeType createAroundInvokeType() {
        return new AroundInvokeType();
    }

    /**
     * Create an instance of {@link AroundTimeoutType }
     * 
     */
    public AroundTimeoutType createAroundTimeoutType() {
        return new AroundTimeoutType();
    }

    /**
     * Create an instance of {@link AssemblyDescriptorType }
     * 
     */
    public AssemblyDescriptorType createAssemblyDescriptorType() {
        return new AssemblyDescriptorType();
    }

    /**
     * Create an instance of {@link CmpFieldType }
     * 
     */
    public CmpFieldType createCmpFieldType() {
        return new CmpFieldType();
    }

    /**
     * Create an instance of {@link CmpVersionType }
     * 
     */
    public CmpVersionType createCmpVersionType() {
        return new CmpVersionType();
    }

    /**
     * Create an instance of {@link CmrFieldType }
     * 
     */
    public CmrFieldType createCmrFieldType() {
        return new CmrFieldType();
    }

    /**
     * Create an instance of {@link CmrFieldTypeType }
     * 
     */
    public CmrFieldTypeType createCmrFieldTypeType() {
        return new CmrFieldTypeType();
    }

    /**
     * Create an instance of {@link ConcurrencyManagementTypeType }
     * 
     */
    public ConcurrencyManagementTypeType createConcurrencyManagementTypeType() {
        return new ConcurrencyManagementTypeType();
    }

    /**
     * Create an instance of {@link ConcurrentLockTypeType }
     * 
     */
    public ConcurrentLockTypeType createConcurrentLockTypeType() {
        return new ConcurrentLockTypeType();
    }

    /**
     * Create an instance of {@link ConcurrentMethodType }
     * 
     */
    public ConcurrentMethodType createConcurrentMethodType() {
        return new ConcurrentMethodType();
    }

    /**
     * Create an instance of {@link ContainerTransactionType }
     * 
     */
    public ContainerTransactionType createContainerTransactionType() {
        return new ContainerTransactionType();
    }

    /**
     * Create an instance of {@link DependsOnType }
     * 
     */
    public DependsOnType createDependsOnType() {
        return new DependsOnType();
    }

    /**
     * Create an instance of {@link EjbClassType }
     * 
     */
    public EjbClassType createEjbClassType() {
        return new EjbClassType();
    }

    /**
     * Create an instance of {@link EjbNameType }
     * 
     */
    public EjbNameType createEjbNameType() {
        return new EjbNameType();
    }

    /**
     * Create an instance of {@link EjbRelationType }
     * 
     */
    public EjbRelationType createEjbRelationType() {
        return new EjbRelationType();
    }

    /**
     * Create an instance of {@link EjbRelationshipRoleType }
     * 
     */
    public EjbRelationshipRoleType createEjbRelationshipRoleType() {
        return new EjbRelationshipRoleType();
    }

    /**
     * Create an instance of {@link EnterpriseBeansType }
     * 
     */
    public EnterpriseBeansType createEnterpriseBeansType() {
        return new EnterpriseBeansType();
    }

    /**
     * Create an instance of {@link EntityBeanType }
     * 
     */
    public EntityBeanType createEntityBeanType() {
        return new EntityBeanType();
    }

    /**
     * Create an instance of {@link ExcludeListType }
     * 
     */
    public ExcludeListType createExcludeListType() {
        return new ExcludeListType();
    }

    /**
     * Create an instance of {@link ApplicationExceptionType }
     * 
     */
    public ApplicationExceptionType createApplicationExceptionType() {
        return new ApplicationExceptionType();
    }

    /**
     * Create an instance of {@link InterceptorsType }
     * 
     */
    public InterceptorsType createInterceptorsType() {
        return new InterceptorsType();
    }

    /**
     * Create an instance of {@link InterceptorType }
     * 
     */
    public InterceptorType createInterceptorType() {
        return new InterceptorType();
    }

    /**
     * Create an instance of {@link InterceptorBindingType }
     * 
     */
    public InterceptorBindingType createInterceptorBindingType() {
        return new InterceptorBindingType();
    }

    /**
     * Create an instance of {@link InterceptorOrderType }
     * 
     */
    public InterceptorOrderType createInterceptorOrderType() {
        return new InterceptorOrderType();
    }

    /**
     * Create an instance of {@link NamedMethodType }
     * 
     */
    public NamedMethodType createNamedMethodType() {
        return new NamedMethodType();
    }

    /**
     * Create an instance of {@link InitMethodType }
     * 
     */
    public InitMethodType createInitMethodType() {
        return new InitMethodType();
    }

    /**
     * Create an instance of {@link RemoveMethodType }
     * 
     */
    public RemoveMethodType createRemoveMethodType() {
        return new RemoveMethodType();
    }

    /**
     * Create an instance of {@link MessageDrivenBeanType }
     * 
     */
    public MessageDrivenBeanType createMessageDrivenBeanType() {
        return new MessageDrivenBeanType();
    }

    /**
     * Create an instance of {@link MethodType }
     * 
     */
    public MethodType createMethodType() {
        return new MethodType();
    }

    /**
     * Create an instance of {@link MethodIntfType }
     * 
     */
    public MethodIntfType createMethodIntfType() {
        return new MethodIntfType();
    }

    /**
     * Create an instance of {@link MethodNameType }
     * 
     */
    public MethodNameType createMethodNameType() {
        return new MethodNameType();
    }

    /**
     * Create an instance of {@link MethodParamsType }
     * 
     */
    public MethodParamsType createMethodParamsType() {
        return new MethodParamsType();
    }

    /**
     * Create an instance of {@link MethodPermissionType }
     * 
     */
    public MethodPermissionType createMethodPermissionType() {
        return new MethodPermissionType();
    }

    /**
     * Create an instance of {@link MultiplicityType }
     * 
     */
    public MultiplicityType createMultiplicityType() {
        return new MultiplicityType();
    }

    /**
     * Create an instance of {@link PersistenceTypeType }
     * 
     */
    public PersistenceTypeType createPersistenceTypeType() {
        return new PersistenceTypeType();
    }

    /**
     * Create an instance of {@link QueryType }
     * 
     */
    public QueryType createQueryType() {
        return new QueryType();
    }

    /**
     * Create an instance of {@link QueryMethodType }
     * 
     */
    public QueryMethodType createQueryMethodType() {
        return new QueryMethodType();
    }

    /**
     * Create an instance of {@link RelationshipRoleSourceType }
     * 
     */
    public RelationshipRoleSourceType createRelationshipRoleSourceType() {
        return new RelationshipRoleSourceType();
    }

    /**
     * Create an instance of {@link RelationshipsType }
     * 
     */
    public RelationshipsType createRelationshipsType() {
        return new RelationshipsType();
    }

    /**
     * Create an instance of {@link ResultTypeMappingType }
     * 
     */
    public ResultTypeMappingType createResultTypeMappingType() {
        return new ResultTypeMappingType();
    }

    /**
     * Create an instance of {@link SecurityIdentityType }
     * 
     */
    public SecurityIdentityType createSecurityIdentityType() {
        return new SecurityIdentityType();
    }

    /**
     * Create an instance of {@link SessionBeanType }
     * 
     */
    public SessionBeanType createSessionBeanType() {
        return new SessionBeanType();
    }

    /**
     * Create an instance of {@link SessionTypeType }
     * 
     */
    public SessionTypeType createSessionTypeType() {
        return new SessionTypeType();
    }

    /**
     * Create an instance of {@link StatefulTimeoutType }
     * 
     */
    public StatefulTimeoutType createStatefulTimeoutType() {
        return new StatefulTimeoutType();
    }

    /**
     * Create an instance of {@link TimeUnitTypeType }
     * 
     */
    public TimeUnitTypeType createTimeUnitTypeType() {
        return new TimeUnitTypeType();
    }

    /**
     * Create an instance of {@link TimerScheduleType }
     * 
     */
    public TimerScheduleType createTimerScheduleType() {
        return new TimerScheduleType();
    }

    /**
     * Create an instance of {@link TimerType }
     * 
     */
    public TimerType createTimerType() {
        return new TimerType();
    }

    /**
     * Create an instance of {@link TransAttributeType }
     * 
     */
    public TransAttributeType createTransAttributeType() {
        return new TransAttributeType();
    }

    /**
     * Create an instance of {@link TransactionTypeType }
     * 
     */
    public TransactionTypeType createTransactionTypeType() {
        return new TransactionTypeType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EjbJarType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EjbJarType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "ejb-jar")
    public JAXBElement<EjbJarType> createEjbJar(EjbJarType value) {
        return new JAXBElement<EjbJarType>(_EjbJar_QNAME, EjbJarType.class, null, value);
    }

}
